/****************************************************************************
** Form interface generated from reading ui file 'PNC3.ui'
**
** Created: Wed Jun 9 12:18:01 2010
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef PNC3_H
#define PNC3_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>
#include <qfiledialog.h> 
#include <qfile.h> 
#include <qapplication.h> 
#include <qtimer.h>


class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QPushButton;
class QButtonGroup;
class QRadioButton;
class QLabel;
class QTextEdit;


class PNC3 : public QMainWindow
{
    Q_OBJECT

public:
    PNC3( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~PNC3();

    int portSetUp();
    int portWrite(const char* );
    int portRead(char* );

    void Format(QString &, bool);
    void FormatReturn();
    bool checkReturn(char * buf);

    void getErrorCode(QString&, int);
    void removeChar(QString& , QString );
    void removeNextChar(QString& , QString);
    void spaceChar(QString& , QString);

    int fd; 	// ptr to serial port
   
    QString ack, nak, uk;

    QStringList blockList;
    QStrList cmdstrings[500];
    QString defaultDir;

   
    QPushButton* ClearPushButton;
    QPushButton* SendpushButton;
    QPushButton* ReceivepushButton;
    
    QTextEdit* textEdit1;
    QTextEdit* textEdit2;
    QMenuBar *MenuBar;
    QPopupMenu *fileMenu;
    QPopupMenu *editMenu;
 
    QAction* fileNewAction;
    QAction* fileOpenAction;
    QAction* fileSaveAction;
    QAction* fileSaveAsAction;
 
    QAction* fileExitAction;
    QAction* editUndoAction;
    QAction* editRedoAction;
    QAction* editCutAction;
    QAction* editCopyAction;
    QAction* editPasteAction;
 
 
public slots:
    virtual void fileNew();
    virtual void fileOpen();
    virtual void fileSave();
    virtual void fileSaveAs();
 
    virtual void fileExit();
    virtual void editUndo();
    virtual void editRedo();
    virtual void editCut();
    virtual void editCopy();
    virtual void editPaste();
 
    virtual void OnSend_clicked();
    virtual void OnReceive_clicked();
    virtual void OnClear();
    
    
protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;
    QPixmap image2;
    QPixmap image3;
    QPixmap image4;
    QPixmap image5;
    QPixmap image6;
    QPixmap image7;
    QPixmap image8;
    QPixmap image9;

};

#endif // PNC3_H
